Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 592448

Summary: media-sound/audacity-2.0.5-r1: building w/gcc-6: error: cannot convert 'bool' to 'ImportFileHandle*' in return
Product: Gentoo Linux Reporter: Francesco Turco <mail>
Component: Current packagesAssignee: Professional Audio Applications Maintainers <proaudio>
Status: RESOLVED FIXED    
Severity: normal CC: richard
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 582084    
Attachments: build log for audacity-2.0.5-r1 using gcc-6.2.0
emerge --info
patch for building audacity-2.0.5-r1 with GCC 6.x

Description Francesco Turco 2016-08-30 16:10:06 UTC
Created attachment 444454 [details]
build log for audacity-2.0.5-r1 using gcc-6.2.0

After upgrading gcc to version 6.2.0 I can't build media-sound/audacity-2.0.5-r1 anymore.

Error:

> import/ImportFLAC.cpp: In member function 'virtual ImportFileHandle* FLACImportPlugin::Open(wxString)':
> import/ImportFLAC.cpp:299:14: error: cannot convert 'bool' to 'ImportFileHandle*' in return
>       return false; // File not found
>              ^~~~~
> import/ImportFLAC.cpp:316:14: error: cannot convert 'bool' to 'ImportFileHandle*' in return
>        return false;
>               ^~~~~

I can build audacity with gcc-5.4.0 without any problems.

--------

# emerge -pv audacity

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] media-sound/audacity-2.0.5-r1::gentoo  USE="alsa flac mp3 vorbis (-ffmpeg) -id3tag -jack -ladspa -libsamplerate -midi -sbsms -soundtouch -twolame -vamp" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB
Comment 1 Francesco Turco 2016-08-30 16:10:34 UTC
Created attachment 444456 [details]
emerge --info
Comment 2 Francesco Turco 2016-08-31 17:18:27 UTC
Created attachment 444652 [details, diff]
patch for building audacity-2.0.5-r1 with GCC 6.x
Comment 3 David Seifert gentoo-dev 2016-09-17 13:17:35 UTC
commit 5c43afe6861275a05aeb4d6b6e45cdbbccfef21b
Author: David Seifert <soap@gentoo.org>
Date:   Sat Sep 17 15:15:50 2016 +0200

    media-sound/audacity: Allow for compiling with GCC 6
    
    Gentoo-bug: 592448
    * Patch by OpenSUSE
Comment 4 Richard Ash 2016-09-18 16:37:28 UTC
Just to confirm, this is fixed upstream for 2.1.3 and onwards (nullptr rather than NULL, but same effect).
Comment 5 Francesco Turco 2016-09-19 11:29:05 UTC
audacity-2.0.5-r1 has still not been patched for gcc6. Commit 5c43afe6861275a05aeb4d6b6e45cdbbccfef21b only applies to version 2.1.2 (which is currently red masked).